import { TYPE, gameClassifyEnum } from "@/components/QueryForm/const"
import WidthEllipsis from "@/components/widthEllipsis"
import { Space, Statistic } from "antd"
import React from "react"
import { ADSTATUSEnum, LANDINGTYPEEnum, PRICINGEnum } from './const'
import './index.less'
import SwitchStatus from "./switchStatus"

function columns12(dayHandle: (data: any) => void, onChange?: () => void): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    const data = [{ lable: '次日', value: 2 }, { lable: 'D3', value: 3 }, { lable: 'D7', value: 7 }, { lable: 'D15', value: 15 }]
    let date = data.map(item => {
        let field = `d${item.value}Trend`
        return {
            title: item.lable,
            dataIndex: `D${item.value}`,
            label: '付费数据',
            align: 'center',
            width: 85,
            className: 'payDataBackColorClass',
            children: [
                {
                    title: 'ROI',
                    dataIndex: 'roi',
                    key: 'roi',
                    width: 80,
                    align: 'center',
                    render: (_: any, b: any) => {
                        let data: any = {}
                        if (b?.[field]) {
                            data = b?.[field]
                            return <Statistic value={data?.roi ? data?.roi * 100 : 0} precision={2} valueStyle={!data?.roi ? {} : data?.roi >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                        }
                        return '--'
                    }
                },
                {
                    title: '付费',
                    dataIndex: 'rechargeMoney',
                    key: 'rechargeMoney',
                    width: 60,
                    align: 'center',
                    render: (_: any, b: any) => {
                        let data: any = {}
                        if (b?.[field]) {
                            data = b?.[field]
                            return <Statistic value={data?.rechargeMoney || 0} />
                        }
                        return '--'
                    }
                },
                {
                    title: '倍数',
                    dataIndex: 'multiples',
                    key: 'multiples',
                    width: 40,
                    align: 'center',
                    render: (_: any, b: any) => {
                        let data: any = {}
                        if (b?.[field]) {
                            data = b?.[field]
                            return <span>{data?.multiples || 0}</span>
                        }
                        return '--'
                    }
                },
            ]
        }
    })

    return [
        {
            label: '账户信息',
            data: [
                {
                    title: '推广账号名称', dataIndex: 'accountName', label: '账户信息', align: 'center', width: 100, default: 2,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '推广账号ID', dataIndex: 'accountId', label: '账户信息', align: 'center', width: 120, default: 3,
                    render: (a: string, b: any) => (<WidthEllipsis isCopy value={a} />)
                },
                {
                    title: '备注', dataIndex: 'notes', label: '账户信息', align: 'center', width: 120,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投手', dataIndex: 'pitcherName', label: '账户信息', align: 'center', width: 70,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投放渠道', dataIndex: 'agentName', label: '账户信息', align: 'center', width: 75, default: 4,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '服务商', dataIndex: 'service', label: '账户信息', align: 'center', width: 95,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投放媒体', dataIndex: 'accountType', label: '账户信息', align: 'center', width: 70,
                    render: (a: string, b: any) => (<WidthEllipsis value={TYPE[a as keyof typeof TYPE]} />)
                },
                {
                    title: '余额', dataIndex: 'balance', label: '账户信息', align: 'center', width: 70, sorter: true,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                }
            ]
        },
        {
            label: '推广内容',
            data: [
                {
                    title: '推广游戏名称', dataIndex: 'gameName', label: '推广内容', align: 'center', width: 70,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '推广游戏应用类型', dataIndex: 'classify', label: '推广内容', align: 'center', width: 95,
                    render: (a: string) => (<span>{gameClassifyEnum[a as keyof typeof gameClassifyEnum]}</span>)
                }
            ]
        },
        {
            label: '广告信息',
            data: [
                {
                    title: '推广广告名称', dataIndex: 'promotionName', label: '广告信息', align: 'center', width: 130, default: 5,
                    render: (a: string, b: any) => (<WidthEllipsis isCopy value={a} />)
                },
                {
                    title: '广告ID', dataIndex: 'promotionId', label: '广告信息', align: 'center', width: 90, default: 6,
                    render: (a: string, b: any) => (<WidthEllipsis isCopy value={a} />)
                },
                {
                    title: '项目名称', dataIndex: 'projectName', label: '广告信息', align: 'center', width: 130,
                    render: (a: string) => (<WidthEllipsis isCopy value={a} />)
                },
                {
                    title: '项目ID', dataIndex: 'projectId', label: '广告信息', align: 'center', width: 90,
                    render: (a: string) => (<WidthEllipsis isCopy value={a} />)
                },
                {
                    title: '广告状态', dataIndex: 'status', label: '广告信息', align: 'left', width: 120, default: 7,
                    render: (a: string) => (ADSTATUSEnum[a as keyof typeof ADSTATUSEnum])
                },
                {
                    title: '推广目标', dataIndex: 'landingType', label: '广告信息', align: 'center', width: 80,
                    render: (a: string, b: any) => (<WidthEllipsis value={LANDINGTYPEEnum[a as keyof typeof LANDINGTYPEEnum]} />)
                },
                {
                    title: '出价方式', dataIndex: 'pricing', label: '广告信息', align: 'center', width: 100, default: 8,
                    render: (a: string, b: any) => (<WidthEllipsis value={PRICINGEnum[a as keyof typeof PRICINGEnum]} />)
                },
                {
                    title: '当前出价', dataIndex: 'cpaBid', label: '广告信息', align: 'center', width: 70, default: 9,
                    render: (a: any) => <Statistic value={a || '--'} />
                },
                {
                    title: '深度转化ROI系数', dataIndex: 'roiGoal', label: '广告信息', align: 'center', width: 65,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '日预算', dataIndex: 'budget', label: '广告信息', align: 'center', width: 70, default: 10, sorter: true,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投放时间', dataIndex: 'scheduleTime', label: '广告信息', align: 'center', width: 135, default: 11,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                }
            ]
        },
        {
            label: '消耗',
            data: [
                {
                    title: '今日消耗', dataIndex: 'todayCost', label: '消耗', align: 'center', width: 85, sorter: true, default: 12,
                    render: (a: any) => <Statistic valueStyle={{ fontWeight: 'bold', fontSize: 14 }} value={a || 0} />
                },
                {
                    title: '总消耗', dataIndex: 'promotionTotalCost', label: '消耗', align: 'center', width: 100, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '广告媒体端数据',
            data: [
                {
                    title: '曝光量', dataIndex: 'showCount', label: '广告媒体端数据', align: 'center', width: 60, sorter: true, default: 13, className: "adDataBackColorClass",
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '千次曝光成本', dataIndex: 'thousandDisplayPrice', label: '广告媒体端数据', align: 'center', width: 70, sorter: true, className: "adDataBackColorClass", default: 15,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '点击量', dataIndex: 'clickCount', label: '广告媒体端数据', align: 'center', width: 60, sorter: true, className: "adDataBackColorClass", default: 14,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '点击均价', dataIndex: 'avgClickCost', label: '广告媒体端数据', align: 'center', width: 60, sorter: true, className: "adDataBackColorClass", default: 16,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '点击率', dataIndex: 'ctr', label: '广告媒体端数据', align: 'center', width: 70, sorter: true, className: "adDataBackColorClass", default: 17,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '转化目标', dataIndex: 'convertTarget', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 70,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '转化目标量', dataIndex: 'convertCount', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 60, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '转化目标成本', dataIndex: 'convertCost', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} valueStyle={a > 700 ? { color: 'red', fontWeight: 'bold' } : {}} />
                },
                {
                    title: '目标转化率', dataIndex: 'convertRate', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 60, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏注册人数', dataIndex: 'miniGameRegisterUsers', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 80, sorter: true, default: 18,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏注册成本', dataIndex: 'miniGameRegisterCost', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 80, sorter: true, default: 19,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏注册率', dataIndex: 'miniGameRegisterRate', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 95, sorter: true, default: 20,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏付费次数', dataIndex: 'miniGamePayingCount', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 80, sorter: true, default: 21,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏付费金额', dataIndex: 'miniGamePayingAmount', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true, default: 22,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首日付费人数', dataIndex: 'miniGamePayingUsersD1', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true, default: 23,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首日付费金额', dataIndex: 'miniGamePayingAmountD1', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true, default: 24,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏3日付费金额', dataIndex: 'miniGamePayingAmountD3', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true, default: 25,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏7日付费金额', dataIndex: 'miniGamePayingAmountD7', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏14日付费金额', dataIndex: 'miniGamePayingAmountD14', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏30日付费金额', dataIndex: 'miniGamePayingAmountD30', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首次付费人数', dataIndex: 'miniGameFirstPayingUsers', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首日付费ROI', dataIndex: 'miniGameFirstDayPayingRoi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏付费ROI', dataIndex: 'miniGamePayingRoi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏付费ARPU', dataIndex: 'miniGamePayingArpu', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏3日付费ROI', dataIndex: 'miniGamePayD3Roi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏7日付费ROI', dataIndex: 'miniGamePayD7Roi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏14日付费ROI', dataIndex: 'miniGamePayD14Roi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏30日付费ROI', dataIndex: 'miniGamePayD30Roi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏首日付费次数', dataIndex: 'minigame1dPayCount', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首24小时付费人数', dataIndex: 'minigame24hPayUv', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首24小时付费金额', dataIndex: 'minigame24hPayAmount', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '小游戏首24小时付费ROI', dataIndex: 'minigame24hPayRoi', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '小游戏首24小时付费ARPU', dataIndex: 'minigame24hPayArpu', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 85, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: 'ltv1(实际数据) ', dataIndex: 'ltvDay1ActualData', label: '广告媒体端数据', align: 'center', className: "adDataBackColorClass", width: 70, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: 'ltv1(广告)', dataIndex: 'ltvDay1', label: '广告媒体端数据', align: 'center', width: 60, sorter: true, className: 'adDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '用户数据',
            data: [
                {
                    title: '注册人数',
                    tips: '新增用户数（首次注册用户）',
                    dataIndex: 'regNum',
                    label: '用户数据',
                    align: 'center',
                    width: 70,
                    sorter: true,
                    default: 30,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总注册人数', dataIndex: 'regTotalNum', label: '用户数据', align: 'center', width: 70, tips: '广告的总注册人数', sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日创角人数', dataIndex: 'firstRoleNum', label: '用户数据', align: 'center', width: 60, sorter: true, default: 32,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户累计创角人数', dataIndex: 'newUserTotalRoleNum', label: '用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总创角人数', dataIndex: 'roleTotalNum', label: '用户数据', align: 'center', width: 60, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '注册成本', dataIndex: 'regCost', label: '用户数据', align: 'center', width: 70, sorter: true, default: 31,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总注册成本', dataIndex: 'regTotalCost', label: '用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日创角成本', dataIndex: 'firstRoleCost', label: '用户数据', align: 'center', width: 60, sorter: true, default: 33,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户创角成本', dataIndex: 'newUserTotalRoleCost', label: '用户数据', align: 'center', width: 65, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总创角成本', dataIndex: 'roleTotalCost', label: '用户数据', align: 'center', width: 60, sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日创角率', dataIndex: 'firstRoleRate', label: '用户数据', align: 'center', width: 70, sorter: true, default: 34,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '新用户创角率', dataIndex: 'newUserTotalRoleRate', label: '用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总创角率', dataIndex: 'roleTotalRate', label: '用户数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
            ]
        },
        {
            label: '付费数据',
            data: [
                {
                    title: '首日充值次数', tips: "新增付费次数（首次注册并充值的总次数）", dataIndex: 'firstNewUserAmountCount', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass', default: 26,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日充值人数', tips: '新增付费人数（首次注册并充值人数）', dataIndex: 'firstNewUserAmountNum', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass', default: 27,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日充值金额', tips: '新增付费金额（首次注册并充值金额）', dataIndex: 'firstNewUserAmount', label: '付费数据', align: 'center', width: 90, sorter: true, className: 'payDataBackColorClass', default: 28,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费次数', dataIndex: 'newUserTotalAmountCount', label: '付费数据', align: 'center', width: 60, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费人数', dataIndex: 'newUserTotalAmountNum', label: '付费数据', align: 'center', width: 60, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费金额', dataIndex: 'newUserTotalAmount', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户24小时充值金额', dataIndex: 'twentyFourHoursAmount', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总充值次数', dataIndex: 'totalAmountCount', label: '付费数据', align: 'center', width: 50, className: 'payDataBackColorClass', sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总充值人数', dataIndex: 'totalAmountNum', label: '付费数据', align: 'center', width: 50, className: 'payDataBackColorClass', sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总充值金额', dataIndex: 'totalAmount', label: '付费数据', align: 'center', width: 70, className: 'payDataBackColorClass', sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日ROI', dataIndex: 'firstRoi', label: '付费数据', align: 'center', width: 65, sorter: true, default: 35, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '24小时ROI', dataIndex: 'twentyFourHoursRoi', label: '付费数据', align: 'center', width: 70, sorter: true, default: 36, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总ROI', dataIndex: 'totalRoi', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '广告总ROI', dataIndex: 'promotionTotalRoi', label: '付费数据', align: 'center', width: 70, className: 'payDataBackColorClass', sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日充值成本', tips: '新增付费成本（首次注册并充值的用户成本）', dataIndex: 'firstNewUserRechargeCost', label: '付费数据', align: 'center', width: 80, sorter: true, default: 29, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费成本', dataIndex: 'newUserTotalRechargeCost', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总付费成本', tips: '总付费成本（广告总付费用户成本）', dataIndex: 'totalRechargeCost', label: '付费数据', align: 'center', width: 70, className: 'payDataBackColorClass', sorter: true,
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日付费用户ARPPU', tips: '首日充值金额/首日充值人数', dataIndex: 'firstNewUserArppu', label: '付费数据', align: 'center', width: 70, sorter: true, default: 38, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费ARPPU', dataIndex: 'newUserTotalAmountArppu', label: '付费数据', align: 'center', width: 60, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日付费100+用户数', tips: '首次注册并在注册当天单笔充值金额大于100的用户人数', dataIndex: 'firstNewUserHundredUserNum', label: '付费数据', align: 'center', width: 90, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日付费100+用户付费成本', tips: '今日消耗/首日付费100+用户数', dataIndex: 'firstNewUserHundredUserCost', label: '付费数据', align: 'center', width: 95, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费100+用户付费成本', dataIndex: 'newUserTotalHundredUserCost', label: '付费数据', align: 'center', width: 85, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首充50~100元用户数', dataIndex: 'firstRechargeFiftyHundredNum', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首充50~100元占比', dataIndex: 'firstRechargeFiftyHundredRate', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日付费200+人数', tips: '首次注册并在注册当天单笔充值金额大于200的用户人数', dataIndex: 'firstNewUserTwoHundredUserNum', label: '付费数据', align: 'center', width: 90, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日付费200+用户付费成本', tips: '今日消耗/首日付费200+用户数', dataIndex: 'firstNewUserTwoHundredUserCost', label: '付费数据', align: 'center', width: 95, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费100+用户数', dataIndex: 'newUserTotalHundredUserNum', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日IOS付费次数', dataIndex: 'firstIosAmountCount', label: '付费数据', align: 'center', width: 75, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日IOS付费人数', dataIndex: 'firstIosAmountNum', label: '付费数据', align: 'center', width: 75, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日IOS付费金额', dataIndex: 'firstIosAmount', label: '付费数据', align: 'center', width: 75, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日IOS付费人数占比', dataIndex: 'firstIosAmountNumRate', label: '付费数据', align: 'center', width: 75, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日IOS付费金额占比', dataIndex: 'firstIosAmountRate', label: '付费数据', align: 'center', width: 75, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日IOS付费ROI', dataIndex: 'firstIosAmountRoi', label: '付费数据', align: 'center', width: 75, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日Android付费次数', dataIndex: 'firstAndroidAmountCount', label: '付费数据', align: 'center', width: 78, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日Android付费人数', dataIndex: 'firstAndroidAmountNum', label: '付费数据', align: 'center', width: 78, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日Android付费金额', dataIndex: 'firstAndroidAmount', label: '付费数据', align: 'center', width: 78, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '首日Android付费人数占比', dataIndex: 'firstAndroidAmountNumRate', label: '付费数据', align: 'center', width: 95, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日Android付费金额占比', dataIndex: 'firstAndroidAmountRate', label: '付费数据', align: 'center', width: 95, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日Android付费ROI', dataIndex: 'firstAndroidAmountRoi', label: '付费数据', align: 'center', width: 80, sorter: true, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日付费率', dataIndex: 'firstAmountRate', label: '付费数据', align: 'center', width: 70, sorter: true, default: 37, className: 'payDataBackColorClass',
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日客单价', tips: '首日客单价（数新增客单价）=首日新用户充值金额/首日新用户充值次', dataIndex: 'firstNewUserAvgPrice', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今客单价', dataIndex: 'newUserTotalAvgPrice', label: '付费数据', align: 'center', width: 60, default: 39, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '每日扣单数', dataIndex: 'subOrderNum', label: '付费数据', align: 'center', width: 60, sorter: true, default: 40, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '每日扣单金额', dataIndex: 'subOrderAmount', label: '付费数据', align: 'center', width: 60, sorter: true, default: 41, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '总充值次数成本', dataIndex: 'totalAmountCountCost', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '新增付费次数成本', dataIndex: 'firstNewUserAmountCountCost', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费次数成本', dataIndex: 'newUserTotalAmountCountCost', label: '付费数据', align: 'center', width: 70, sorter: true, className: 'payDataBackColorClass',
                    render: (a: any) => <Statistic value={a || 0} />
                },
                ...date
            ]
        },
        {
            label: '操作',
            data: [
                {
                    title: '操作', dataIndex: 'cz', label: '操作', align: 'center', width: 150, default: 42,
                    render: (_: number, b: any) => {
                        if (b?.accountName === '总计') return '--'
                        return <Space>
                            <a onClick={() => dayHandle(b)}>广告每日监控</a>
                            {
                                b?.accountType === 'BYTE' ? <a onClick={() => {
                                    window.open(`https://ad.oceanengine.com/superior/promote-manage/ad?aadvid=${b?.accountId}&searchInput=%2522${b?.promotionId}%2522&searchType=%25229%2522`)
                                }}>头条广告</a> : <a onClick={() => {
                                    window.open(`https://ad.qq.com/atlas/${b?.accountId}/admanage/adgroup?tab=adgroup&query={%22operation_status%22:[%22CALCULATE_STATUS_EXCLUDE_DEL%22],%22system_status%22:[],%22search_name%22:%22${b.promotionId}%22}`)
                                }}>腾讯广告</a>
                            }
                        </Space>
                    }
                },
                {
                    title: '启停',
                    dataIndex: 'configuredStatus', 
                    label: '操作', 
                    align: 'center', 
                    width: 40, 
                    default: 1,
                    render: (a: string, b: any) => {
                        if (b?.accountName === '总计') {
                            return '--'
                        }
                        return <SwitchStatus configuredStatus={a} isDeleted={b?.isDeleted} adgroupId={b?.promotionId} onChange={onChange} />
                    }
                }
            ]
        }
    ]
}

export default columns12