import React from "react"
import { Statistic, Tooltip } from "antd"
import { gameClassifyEnum } from "@/components/QueryForm/const"
import WidthEllipsis from "@/components/widthEllipsis"
import moment from "moment"
import style from './index.less'

function columnsUser12(): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    let defaultStart = 13
    // 留存数据
    const activeDay = Array(90).fill('').map((_item: string, index: number) => {
        let field = `da${index + 1}Trend`
        let data: any = {
            title: `D${index + 1}`,
            dataIndex: field,
            label: "留存数据",
            align: "center",
            width: 125,
            render: (_: any, b: any) => {
                let date1 = moment()
                if (b?.costDate === '总计') {
                    if (b?.beginDay) {
                        date1 = moment(b?.beginDay)
                    } else {
                        date1 = moment()
                    }
                } else {
                    date1 = moment(b.costDate)
                }
                let dt = moment()
                let day = dt.diff(date1, 'day');
                if (index <= day) {
                    let data: any = {}
                    switch (b?.activeTypes) {
                        case 'reg':
                            if (b?.[field]) {
                                data = b?.[field]
                                return <div>
                                    {/* <div style={{ alignItems: 'center', fontSize: 12, fontWeight: 'bold' }}>注册留存</div> */}
                                    <div className={style.dbox}>
                                        <span style={{ color: '#d81b60', fontWeight: 600 }}>活跃人数：<span>{data?.activeNum}</span></span>
                                        <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>留存率：<span>{(data?.regActiveRate * 100)?.toFixed(2)}%</span></span>
                                    </div>
                                </div>
                            }
                            return '--'
                        case 'role':
                            if (b?.[field]) {
                                data = b?.[field]
                                return <div>
                                    {/* <div style={{ display: 'flex', justifyContent: 'center', alignItems: 'center', gap: 5, fontSize: 12, fontWeight: 'bold' }}>
                                        角色留存
                                        <Tooltip title="鼠标悬停展示完整名称">
                                            <QuestionCircleOutlined />
                                        </Tooltip>
                                    </div> */}
                                    <div className={style.dbox}>
                                        <span style={{ color: '#d81b60', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的活跃用户数" placement='left'>
                                                <span>活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.roleNewActiveUserTotalNum}</span>
                                        </span>
                                        <span style={{ color: '#faad14', fontWeight: 600 }}>
                                            <Tooltip title="第N天的新增创角用户数" placement='left'>
                                                <span>新增创角：</span>
                                            </Tooltip>
                                            <span>{data?.roleNewUserNum}</span>
                                        </span>
                                        <span style={{ color: '#0f538a', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的创角用户数" placement='left'>
                                                <span>累计创角：</span>
                                            </Tooltip>
                                            <span>{data?.roleNewUserTotalNum}</span>
                                        </span>
                                        <span style={{ color: '#eb2f96', fontWeight: 600 }}>
                                            <Tooltip title="第N天的老活跃用户数" placement='left'>
                                                <span>老活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.roleOldActiveUserNum}</span>
                                        </span>
                                        <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>
                                            <Tooltip title="创角留存率" placement='left'>
                                                <span>留存率：</span>
                                            </Tooltip>
                                            <span>{(data?.roleActiveRate * 100)?.toFixed(2)}%</span>
                                        </span>
                                    </div>
                                </div>
                            }
                            return '--'
                        case 'amount':
                            if (b?.[field]) {
                                data = b?.[field]
                                return <div>
                                    {/* <div style={{ display: 'flex', justifyContent: 'center', alignItems: 'center', gap: 5, fontSize: 12, fontWeight: 'bold' }}>
                                        付费留存
                                        <Tooltip title="鼠标悬停展示完整名称">
                                            <QuestionCircleOutlined />
                                        </Tooltip>
                                    </div> */}
                                    <div className={style.dbox}>
                                        <span style={{ color: '#d81b60', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的活跃用户数" placement='left'>
                                                <span>活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.newActiveUserTotalNum}</span>
                                        </span>
                                        <span style={{ color: '#faad14', fontWeight: 600 }}>
                                            <Tooltip title="第N天的新增付费用户" placement='left'>
                                                <span>新增付费：</span>
                                            </Tooltip>
                                            <span>{data?.newUserAmountNum}</span>
                                        </span>
                                        <span style={{ color: '#0f538a', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的付费用户数" placement='left'>
                                                <span>付费人数：</span>
                                            </Tooltip>
                                            <span>{data?.newUserTotalAmountNum}</span>
                                        </span>
                                        <span style={{ color: '#eb2f96', fontWeight: 600 }}>
                                            <Tooltip title="第N天的老活跃用户数" placement='left'>
                                                <span>老活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.oldActiveUserNum}</span>
                                        </span>
                                        <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>
                                            <Tooltip title="付费留存率" placement='left'>
                                                <span>留存率：</span>
                                            </Tooltip>
                                            <span>{(data?.amountActiveRate * 100)?.toFixed(2)}%</span>
                                        </span>
                                    </div>
                                </div>
                            }
                            return '--'
                        default:
                            return '--'
                    }
                }
                return '--'
            }
        }
        data['default'] = defaultStart + index
        return data
    })

    // 用户LTV月
    let defaultStartM = 103
    let activeMonth = [4, 5, 6, 7, 8, 9, 10, 11, 12].map((item, index) => {
        let field = `m${item}Trend`
        let data: any = {
            title: `M${item}`,
            dataIndex: field,
            label: "留存数据",
            align: "center",
            width: 125,
            render: (_: any, b: any) => {
                let date1 = moment()
                if (b?.costDate === '总计') {
                    if (b?.beginDay) {
                        date1 = moment(b?.beginDay)
                    } else {
                        date1 = moment()
                    }
                } else {
                    date1 = moment(b.costDate)
                }
                let dt = moment()
                let day = dt.diff(date1, 'day');
                if (item * 30 <= day) {
                    let data: any = {}
                    switch (b?.activeTypes) {
                        case 'reg':
                            if (b?.[field]) {
                                data = b?.[field]
                                return <div>
                                    {/* <div style={{ alignItems: 'center', fontSize: 12, fontWeight: 'bold' }}>注册留存</div> */}
                                    <div className={style.dbox}>
                                        <span style={{ color: '#d81b60', fontWeight: 600 }}>活跃人数：<span>{data?.activeNum}</span></span>
                                        <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>留存率：<span>{(data?.regActiveRate * 100)?.toFixed(2)}%</span></span>
                                    </div>
                                </div>
                            }
                            return '--'
                        case 'role':
                            if (b?.[field]) {
                                data = b?.[field]
                                return <div>
                                    {/* <div style={{ display: 'flex', justifyContent: 'center', alignItems: 'center', gap: 5, fontSize: 12, fontWeight: 'bold' }}>
                                        角色留存
                                        <Tooltip title="鼠标悬停展示完整名称">
                                            <QuestionCircleOutlined />
                                        </Tooltip>
                                    </div> */}
                                    <div className={style.dbox}>
                                        <span style={{ color: '#d81b60', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的活跃用户数" placement='left'>
                                                <span>活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.roleNewActiveUserTotalNum}</span>
                                        </span>
                                        <span style={{ color: '#faad14', fontWeight: 600 }}>
                                            <Tooltip title="第N天的新增创角用户数" placement='left'>
                                                <span>新增创角：</span>
                                            </Tooltip>
                                            <span>{data?.roleNewUserNum}</span>
                                        </span>
                                        <span style={{ color: '#0f538a', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的创角用户数" placement='left'>
                                                <span>累计创角：</span>
                                            </Tooltip>
                                            <span>{data?.roleNewUserTotalNum}</span>
                                        </span>
                                        <span style={{ color: '#eb2f96', fontWeight: 600 }}>
                                            <Tooltip title="第N天的老活跃用户数" placement='left'>
                                                <span>老活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.roleOldActiveUserNum}</span>
                                        </span>
                                        <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>
                                            <Tooltip title="创角留存率" placement='left'>
                                                <span>留存率：</span>
                                            </Tooltip>
                                            <span>{(data?.roleActiveRate * 100)?.toFixed(2)}%</span>
                                        </span>
                                    </div>
                                </div>
                            }
                            return '--'
                        case 'amount':
                            if (b?.[field]) {
                                data = b?.[field]
                                return <div>
                                    {/* <div style={{ display: 'flex', justifyContent: 'center', alignItems: 'center', gap: 5, fontSize: 12, fontWeight: 'bold' }}>
                                        付费留存
                                        <Tooltip title="鼠标悬停展示完整名称">
                                            <QuestionCircleOutlined />
                                        </Tooltip>
                                    </div> */}
                                    <div className={style.dbox}>
                                        <span style={{ color: '#d81b60', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的活跃用户数" placement='left'>
                                                <span>活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.newActiveUserTotalNum}</span>
                                        </span>
                                        <span style={{ color: '#faad14', fontWeight: 600 }}>
                                            <Tooltip title="第N天的新增付费用户" placement='left'>
                                                <span>新增付费：</span>
                                            </Tooltip>
                                            <span>{data?.newUserAmountNum}</span>
                                        </span>
                                        <span style={{ color: '#0f538a', fontWeight: 600 }}>
                                            <Tooltip title="累计到第N天的付费用户数" placement='left'>
                                                <span>付费人数：</span>
                                            </Tooltip>
                                            <span>{data?.newUserTotalAmountNum}</span>
                                        </span>
                                        <span style={{ color: '#eb2f96', fontWeight: 600 }}>
                                            <Tooltip title="第N天的老活跃用户数" placement='left'>
                                                <span>老活跃数：</span>
                                            </Tooltip>
                                            <span>{data?.oldActiveUserNum}</span>
                                        </span>
                                        <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>
                                            <Tooltip title="付费留存率" placement='left'>
                                                <span>留存率：</span>
                                            </Tooltip>
                                            <span>{(data?.amountActiveRate * 100)?.toFixed(2)}%</span>
                                        </span>
                                    </div>
                                </div>
                            }
                            return '--'
                        default:
                            return '--'
                    }
                }
                return '--'
            }
        }
        data['default'] = defaultStartM + index
        return data
    })

    return [
        {
            label: '游戏信息',
            data: [
                {
                    title: '推广游戏名称', dataIndex: 'gameName', label: '游戏信息', align: 'center', width: 70, default: 2,
                    render: (a: string, b: any) => (<WidthEllipsis isCopy={b?.costDate !== '总计'} value={a} />)
                },
                {
                    title: '推广游戏应用类型', dataIndex: 'gameClassify', label: '游戏信息', align: 'center', width: 80,
                    render: (a: string) => (<WidthEllipsis value={gameClassifyEnum[a as keyof typeof gameClassifyEnum]} />)
                }
            ]
        },
        {
            label: '时间',
            data: [
                {
                    title: '日期', dataIndex: 'costDate', label: '时间', align: 'center', width: 90, default: 1,
                    render: (a: string) => (<WidthEllipsis value={a} />)
                },
            ]
        },
        {
            label: '消耗',
            data: [
                {
                    title: '消耗', dataIndex: 'cost', label: '消耗', align: 'center', width: 90, sorter: true, default: 3,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '用户数据',
            data: [
                {
                    title: '注册人数', dataIndex: 'regNum', label: '用户数据', align: 'center', width: 70, sorter: true, default: 4,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '注册成本', dataIndex: 'regCost', label: '用户数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '付费数据',
            data: [
                {
                    title: '首日新用户充值次数', dataIndex: 'firstNewUserAmountCount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '首日新用户充值人数', dataIndex: 'firstNewUserAmountNum', label: '付费数据', align: 'center', width: 70, sorter: true, default: 5,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '首日新用户充值金额', dataIndex: 'firstNewUserAmount', label: '付费数据', align: 'center', width: 70, sorter: true, default: 6,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '老用户充值次数', dataIndex: 'oldUserCount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '老用户充值人数', dataIndex: 'oldUserNum', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '老用户充值金额', dataIndex: 'oldUserAmount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '账面充值次数', dataIndex: 'amountCount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '账面充值人数', dataIndex: 'amountNum', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '账面充值金额', dataIndex: 'amount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户累计充值次数', dataIndex: 'newUserTotalAmountCount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户累计充值人数', dataIndex: 'newUserTotalAmountNum', label: '付费数据', align: 'center', width: 70, sorter: true, default: 7,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户累计充值金额', dataIndex: 'newUserTotalAmount', label: '付费数据', align: 'center', width: 70, sorter: true, default: 8,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '首日ROI', dataIndex: 'firstRoi', label: '付费数据', align: 'center', width: 70, sorter: true, default: 9,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总ROI', dataIndex: 'totalRoi', label: '付费数据', align: 'center', width: 70, sorter: true, default: 12,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日付费率', dataIndex: 'firstAmountRate', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '至今付费率', tips: '至今付费率（总）=新用户累计充值人数/注册人数', dataIndex: 'todayAmountRate', label: '付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '新用户付费比', dataIndex: 'newUserRate', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '首日客单价', dataIndex: 'firstAvgAmount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '首日充值成本', dataIndex: 'firstNewUserRechargeCost', label: '付费数据', align: 'center', width: 70, sorter: true, default: 10,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总充值成本', dataIndex: 'totalRechargeCost', label: '付费数据', align: 'center', width: 70, sorter: true, default: 11,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '至今客单价', tips: '至今客单价（总）=新用户累计充值金额/新用户累计充值次数', dataIndex: 'todayAvgAmount', label: '付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '账面客单价', dataIndex: 'avgAmount', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '复充率', tips: '复充率（总）=新用户复充人数/新用户累计充值人数（新用户复充人数为累计充值次数n≥2）', dataIndex: 'userAgainRate', label: '付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },

                {
                    title: '单日付费100+人数', dataIndex: 'hundredUserNum', label: '付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '单日付费100+成本', dataIndex: 'hundredUserNumCost', label: '付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '首日创角人数', dataIndex: 'firstRoleNum', label: '付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '创角人数', dataIndex: 'roleNum', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '新用户累计创角人数', dataIndex: 'newUserTotalRoleNum', label: '付费数据', align: 'center', width: 85, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '首日创角人数成本', dataIndex: 'firstRoleNumCost', label: '付费数据', align: 'center', width: 80, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '创角人数成本', dataIndex: 'roleNumCost', label: '付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '新用户累计创角人数成本', dataIndex: 'newUserTotalRoleNumCost', label: '付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '首日创角率', dataIndex: 'firstRoleNumRate', label: '付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '创角率', dataIndex: 'roleNumRate', label: '付费数据', align: 'center', width: 75, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '新用户累计创角率', dataIndex: 'newUserTotalRoleNumRate', label: '付费数据', align: 'center', width: 90, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={!a ? {} : a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '新增注册ARPPU', dataIndex: 'regUserArpu', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '首日付费ARPPU', dataIndex: 'firstAmountArpu', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '至今付费ARPPU', dataIndex: 'todayAmountArpu', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '账面ARPPU', dataIndex: 'amountArpu', label: '付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '留存数据',
            data: [
                ...activeDay,
                ...activeMonth
            ]
        },
    ]
}

export default columnsUser12